/*

  Reed Switch Module 2 Channel (Digital) (4 Pin)

  Parts required:
  - Arduino Board
  - Reed Switch Module 2 Channel (Digital) (4 Pin)
  - Magnet

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 22 Jan 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

int digitalReadPinReed1 = 7;                                  // set digitalReadPinReed1 as 7
int digitalReadPinReed2 = 8;                                  // set digitalReadPinReed2 as 8
int digitalReadValueReed1;                                    // set variable digitalReadValuePin7
int digitalReadValueReed2;                                    // set variable digitalReadValuePin8

void setup() {
  Serial.begin(9600);                                         // start Serial Monitor
  pinMode (digitalReadPinReed1, INPUT);                       // set digitalReadPinReed1 as INPUT
  pinMode (digitalReadPinReed2, INPUT);                       // set digitalReadPinReed2 as INPUT
}

void loop() {

  digitalReadValueReed1 = digitalRead(digitalReadPinReed1);   // read value from digitalReadPinReed1 and store in digitalReadValueReed1

  if (digitalReadValueReed1 == HIGH) {                        // if digitalReadValueReed1 = LOW Do
    Serial.println("Reed 1 Activated...");                    // print text to Serial Monitor
  }

  digitalReadValueReed2 = digitalRead(digitalReadPinReed2);   // read value from digitalReadPinReed2 and store in digitalReadValueReed2

  if (digitalReadValueReed2 == HIGH) {                        // if digitalReadValueReed2 = LOW Do
    Serial.println("Reed 2 Activated...");                    // print text to Serial Monitor
  }
  delay(500);                                                 // wait 500ms
}
